#
# spec file for package PolicyKit (Version 0.2_git20060822)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib diffutils docbook-dsssl-stylesheets docbook-utils docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv iso_ent jadetex klogd latex-ucs less libacl libattr libcom_err libgcc libgcrypt libgpg-error libnscd libstdc++ libtool libxcrypt libxml2 libxslt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client opensp openssl pam pam-devel pam-modules passivetex patch perl perl-SGMLS permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed sgml-skel strace sysvinit tar tcpd te_latex tetex texinfo timezone unzip util-linux vim xmltex xmlto zlib zlib-devel

Name:           PolicyKit
#%if 0%{?suse_version} < 1002
BuildRequires:  dbus-1-devel docbook-utils glib2-devel pam-devel pkg-config xmlto
#%else
#BuildRequires:  dbus-1-glib-devel docbook-utils glib2-devel pam-devel pkg-config xmlto
#%endif
Url:            http://www.freedesktop.org/wiki/Software/hal
License:        Other License(s), see package, LGPL
Group:          System/Daemons
Version:        0.2_git20060822
Release:        1
Autoreqprov:    on
Summary:        PolicyKit
Source0:        %{name}-%{version}.tar.bz2
Source1:        rc.policykitd
#Patch0:        
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PolicyKit is a framework for defining policy for system-wide components
and for desktop pieces to configure it. It is used by HAL.



Authors:
--------
    David Zeuthen <davidz@redhat.com>

%debug_package
%prep
%setup -n %{name}-%{version} -q
#%patch0 -p1

%build
autoreconf -f -i
./configure 						\
        --prefix=%{_prefix}                             \
        --sysconfdir=%{_sysconfdir}                     \
        --localstatedir=%{_localstatedir}               \
        --libdir=%{_libdir}                             \
        --mandir=%{_mandir}                             \
	--with-pam-module-dir=/%{_lib}/security/ 	\
	--with-pid-file=/var/run/polkit/pid		\
	--with-polkit-group=polkit			\
	--with-polkit-user=polkit
make

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
rm -f %buildroot/%{_lib}/security/*.{a,la}
install -d -m 755 %buildroot/var/run/polkit-console
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/policykitd
ln -sf %{_sysconfdir}/init.d/policykitd $RPM_BUILD_ROOT/%{_sbindir}/rcpolicykitd

%clean
rm -rf %buildroot

%pre
#/usr/sbin/groupadd -r polkit 2> /dev/null || :
#/usr/sbin/useradd -r -o -s /bin/false -c "User for PolicyKit" -d /var/run/polkit -g polkit polkit 2> /dev/null || :

%preun
%{stop_on_removal policykitd}

%post
%{insserv_force_if_yast policykitd}
%{run_ldconfig}

%postun
%{restart_on_update policykitd}
%{insserv_cleanup}
%{run_ldconfig}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README 
%dir %{_sysconfdir}/PolicyKit/privilege.d
%dir %{_sysconfdir}/PolicyKit
%dir %{_sysconfdir}/init.d/policykitd
%dir /var/run/polkit-console
%{_bindir}/polkit-grant-privilege
%{_bindir}/polkit-is-privileged
%{_bindir}/polkit-list-privileges
%{_bindir}/polkit-revoke-privilege
%{_datadir}/doc/%{name}-%{version}
%{_datadir}/gtk-doc
%{_includedir}/libpolkit/libpolkit-grant.h
%{_includedir}/libpolkit/libpolkit.h
%dir %{_includedir}/libpolkit
%{_libdir}/libpolkit.a
%{_libdir}/libpolkit-grant.a
%{_libdir}/libpolkit-grant.la
%{_libdir}/libpolkit-grant.so
%{_libdir}/libpolkit-grant.so.0
%{_libdir}/libpolkit-grant.so.0.0.0
%{_libdir}/libpolkit.la
%{_libdir}/libpolkit.so
%{_libdir}/libpolkit.so.0
%{_libdir}/libpolkit.so.0.0.0
%{_libdir}/pkgconfig/polkit.pc
/%{_lib}/security/pam_polkit_console.so
%{_sbindir}/polkitd
%{_sbindir}/rcpolicykitd
%{_sysconfdir}/dbus-1/system.d/PolicyKit.conf
%{_sysconfdir}/pam.d/policy-kit
%{_sysconfdir}/PolicyKit/privilege.d/desktop-console.privilege

%changelog -n PolicyKit
* Tue Aug 22 2006 - dkukawka@suse.de
- updated to current git HEAD (git20060822)
- updated rc file
- removed upstream gone patches:
- PolicyKit-fix-compiler_warnings.diff
- fix to get 'make distcheck' running
* Wed Aug 09 2006 - thoenig@suse.de
- BuildRequires (hal): replace dbus-1-devel by dbus-1-glib-devel
- BuildRequires (hal-devel): add dbus-1-glib-devel
* Thu Aug 03 2006 - dkukawka@suse.de
- added a startscript for polkitd
* Tue Jul 25 2006 - dkukawka@suse.de
- initial version
